/**
 * @file
 * JavaScript behaviors for datalayer webform event.
 */
(function ($, Drupal, drupalSettings) {

  Drupal.behaviors.datalayerWebformEvent = {
    attach: function (context, settings) {
      // @NOTE For now just one per webform.
      $('.webform-submission-form', context).once('datalayer-webform-event').each(function () {
        if (settings.datalayer_webform !== undefined) {
          dataLayer.push(settings.datalayer_webform.event);
        }
      });
    }
  };

})(jQuery, Drupal, drupalSettings);
